/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * MedicalServiceClaimRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class MedicalServiceClaimRequest {
  @SerializedName("medical_service")
  private MedicalService medicalService = null;

  @SerializedName("attending_physician")
  private AttendingPhysician attendingPhysician = null;

  @SerializedName("existing_case")
  private Model106 existingCase = null;

  @SerializedName("affected_person")
  private AffectedPerson affectedPerson = null;

  @SerializedName("other_insurance_covering")
  private Model108 otherInsuranceCovering = null;

  @SerializedName("legal_consents")
  private LegalConsents legalConsents = null;

  @SerializedName("policy")
  private Model110 policy = null;

  @SerializedName("total_amount_claimed")
  private Model70 totalAmountClaimed = null;

  @SerializedName("amount_estimation_damage")
  private Model71 amountEstimationDamage = null;

  @SerializedName("contact_phones")
  private Model84 contactPhones = null;

  @SerializedName("certificate_id")
  private String certificateId = null;

  public MedicalServiceClaimRequest medicalService(MedicalService medicalService) {
    this.medicalService = medicalService;
    return this;
  }

   /**
   * Get medicalService
   * @return medicalService
  **/
  @ApiModelProperty(required = true, value = "")
  public MedicalService getMedicalService() {
    return medicalService;
  }

  public void setMedicalService(MedicalService medicalService) {
    this.medicalService = medicalService;
  }

  public MedicalServiceClaimRequest attendingPhysician(AttendingPhysician attendingPhysician) {
    this.attendingPhysician = attendingPhysician;
    return this;
  }

   /**
   * Get attendingPhysician
   * @return attendingPhysician
  **/
  @ApiModelProperty(value = "")
  public AttendingPhysician getAttendingPhysician() {
    return attendingPhysician;
  }

  public void setAttendingPhysician(AttendingPhysician attendingPhysician) {
    this.attendingPhysician = attendingPhysician;
  }

  public MedicalServiceClaimRequest existingCase(Model106 existingCase) {
    this.existingCase = existingCase;
    return this;
  }

   /**
   * Get existingCase
   * @return existingCase
  **/
  @ApiModelProperty(value = "")
  public Model106 getExistingCase() {
    return existingCase;
  }

  public void setExistingCase(Model106 existingCase) {
    this.existingCase = existingCase;
  }

  public MedicalServiceClaimRequest affectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
    return this;
  }

   /**
   * Get affectedPerson
   * @return affectedPerson
  **/
  @ApiModelProperty(required = true, value = "")
  public AffectedPerson getAffectedPerson() {
    return affectedPerson;
  }

  public void setAffectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
  }

  public MedicalServiceClaimRequest otherInsuranceCovering(Model108 otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
    return this;
  }

   /**
   * Get otherInsuranceCovering
   * @return otherInsuranceCovering
  **/
  @ApiModelProperty(value = "")
  public Model108 getOtherInsuranceCovering() {
    return otherInsuranceCovering;
  }

  public void setOtherInsuranceCovering(Model108 otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
  }

  public MedicalServiceClaimRequest legalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
    return this;
  }

   /**
   * Get legalConsents
   * @return legalConsents
  **/
  @ApiModelProperty(required = true, value = "")
  public LegalConsents getLegalConsents() {
    return legalConsents;
  }

  public void setLegalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
  }

  public MedicalServiceClaimRequest policy(Model110 policy) {
    this.policy = policy;
    return this;
  }

   /**
   * Get policy
   * @return policy
  **/
  @ApiModelProperty(required = true, value = "")
  public Model110 getPolicy() {
    return policy;
  }

  public void setPolicy(Model110 policy) {
    this.policy = policy;
  }

  public MedicalServiceClaimRequest totalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(value = "")
  public Model70 getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public MedicalServiceClaimRequest amountEstimationDamage(Model71 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
    return this;
  }

   /**
   * Get amountEstimationDamage
   * @return amountEstimationDamage
  **/
  @ApiModelProperty(value = "")
  public Model71 getAmountEstimationDamage() {
    return amountEstimationDamage;
  }

  public void setAmountEstimationDamage(Model71 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
  }

  public MedicalServiceClaimRequest contactPhones(Model84 contactPhones) {
    this.contactPhones = contactPhones;
    return this;
  }

   /**
   * Get contactPhones
   * @return contactPhones
  **/
  @ApiModelProperty(value = "")
  public Model84 getContactPhones() {
    return contactPhones;
  }

  public void setContactPhones(Model84 contactPhones) {
    this.contactPhones = contactPhones;
  }

  public MedicalServiceClaimRequest certificateId(String certificateId) {
    this.certificateId = certificateId;
    return this;
  }

   /**
   * Identifier of the certificate related to the claim.
   * @return certificateId
  **/
  @ApiModelProperty(value = "Identifier of the certificate related to the claim.")
  public String getCertificateId() {
    return certificateId;
  }

  public void setCertificateId(String certificateId) {
    this.certificateId = certificateId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MedicalServiceClaimRequest medicalServiceClaimRequest = (MedicalServiceClaimRequest) o;
    return Objects.equals(this.medicalService, medicalServiceClaimRequest.medicalService) &&
        Objects.equals(this.attendingPhysician, medicalServiceClaimRequest.attendingPhysician) &&
        Objects.equals(this.existingCase, medicalServiceClaimRequest.existingCase) &&
        Objects.equals(this.affectedPerson, medicalServiceClaimRequest.affectedPerson) &&
        Objects.equals(this.otherInsuranceCovering, medicalServiceClaimRequest.otherInsuranceCovering) &&
        Objects.equals(this.legalConsents, medicalServiceClaimRequest.legalConsents) &&
        Objects.equals(this.policy, medicalServiceClaimRequest.policy) &&
        Objects.equals(this.totalAmountClaimed, medicalServiceClaimRequest.totalAmountClaimed) &&
        Objects.equals(this.amountEstimationDamage, medicalServiceClaimRequest.amountEstimationDamage) &&
        Objects.equals(this.contactPhones, medicalServiceClaimRequest.contactPhones) &&
        Objects.equals(this.certificateId, medicalServiceClaimRequest.certificateId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(medicalService, attendingPhysician, existingCase, affectedPerson, otherInsuranceCovering, legalConsents, policy, totalAmountClaimed, amountEstimationDamage, contactPhones, certificateId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MedicalServiceClaimRequest {\n");
    
    sb.append("    medicalService: ").append(toIndentedString(medicalService)).append("\n");
    sb.append("    attendingPhysician: ").append(toIndentedString(attendingPhysician)).append("\n");
    sb.append("    existingCase: ").append(toIndentedString(existingCase)).append("\n");
    sb.append("    affectedPerson: ").append(toIndentedString(affectedPerson)).append("\n");
    sb.append("    otherInsuranceCovering: ").append(toIndentedString(otherInsuranceCovering)).append("\n");
    sb.append("    legalConsents: ").append(toIndentedString(legalConsents)).append("\n");
    sb.append("    policy: ").append(toIndentedString(policy)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    amountEstimationDamage: ").append(toIndentedString(amountEstimationDamage)).append("\n");
    sb.append("    contactPhones: ").append(toIndentedString(contactPhones)).append("\n");
    sb.append("    certificateId: ").append(toIndentedString(certificateId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

